services:
  code:
    image: linuxserver/code-server:4.109.5
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - "${PANEL_APP_PORT_HTTP}:8443"
    volumes:
      - ./data:/config
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Asia/Shanghai
      - PASSWORD=${WEB_PASSWORD}
      - SUDO_PASSWORD=${SUDO_PASSWORD}
      - DEFAULT_WORKSPACE=/config/workspace
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true
